Subject: PASEMI: PA6T board doesn't boot with the RC1 of kernel 4.2 anymore

From: Christian Zigotzky <[email-masked]>
Date: Fri, 10 Jul 2015 08:51:25 +0200

Hi All,

The first bad commit: 
http://git.kernel.org/cgit/linux/kernel/git/tip/tip.git/commit/?id=0d0b4c866bcce647f40d73efe5e90aeeb079050a

I replaced the following irq files with the old kernel 4.1 irq files:

~/Downloads/linux-4.2/linux-4.2-nemo$ cp 
/home/christian/Downloads/linux-4.1/linux-4.1/include/linux/irq.h 
include/linux/irq.h
~/Downloads/linux-4.2/linux-4.2-nemo$ cp 
/home/christian/Downloads/linux-4.1/linux-4.1/include/linux/irqdesc.h 
include/linux/irqdesc.h
~/Downloads/linux-4.2/linux-4.2-nemo$ cp 
/home/christian/Downloads/linux-4.1/linux-4.1/kernel/irq/internals.h 
kernel/irq/internals.h
~/Downloads/linux-4.2/linux-4.2-nemo$ cp 
/home/christian/Downloads/linux-4.1/linux-4.1/kernel/irq/irqdesc.c 
kernel/irq/irqdesc.c
~/Downloads/linux-4.2/linux-4.2-nemo$ cp 
/home/christian/Downloads/linux-4.1/linux-4.1/kernel/irq/irqdomain.c 
kernel/irq/irqdomain.c
~/Downloads/linux-4.2/linux-4.2-nemo$ cp 
/home/christian/Downloads/linux-4.1/linux-4.1/kernel/irq/manage.c 
kernel/irq/manage.c
~/Downloads/linux-4.2/linux-4.2-nemo$ cp 
/home/christian/Downloads/linux-4.1/linux-4.1/kernel/irq/proc.c 
kernel/irq/proc.c

I compiled the RC1 of kernel 4.2 with these old irq source code today. 
I'm happy it boots. :-)

Rgds,

Christian

On 10 July 2015 at 00:27 AM, Christian Zigotzky wrote:
> Hi All,
>
> Many thanks for your help. You're right. It was something wrong with 
> my last bisect. I did another bisect. I evaluated the one "sometimes 
> boots" with good.
>
> Log:
>
> git clone 
> git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git 
> linux-git
>
> git bisect start
>
> git bisect good b953c0d234bc72e8489d3bf51a276c5c4ec85345 (Linux 4.1)
>
> git bisect bad d770e558e21961ad6cfdf0ff7df0eb5d7d4f0754 (Linux 4.2-rc1)
>
> Output:
>
> Bisecting: 6261 revisions left to test after this (roughly 13 steps)
> [4570a37169d4b44d316f40b2ccc681dc93fedc7b] Merge tag 'sound-4.2-rc1' 
> of git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound
>
> ----
>
> git bisect bad
>
> Output:
>
> Bisecting: 3295 revisions left to test after this (roughly 12 steps)
> [4e241557fc1cb560bd9e77ca1b4a9352732a5427] Merge tag 'for-linus' of 
> git://git.kernel.org/pub/scm/virt/kvm/kvm
>
> ----
>
> git bisect bad
>
> Output:
>
> Bisecting: 1625 revisions left to test after this (roughly 11 steps)
> [44d21c3f3a2ef2f58b18bda64c52c99e723f3f4a] Merge 
> git://git.kernel.org/pub/scm/linux/kernel/git/herbert/crypto-2.6
>
> ----
>
> git bisect bad
>
> Output:
>
> Bisecting: 712 revisions left to test after this (roughly 10 steps)
> [e75c73ad64478c12b3a44b86a3e7f62a4f65b93e] Merge branch 
> 'x86-fpu-for-linus' of 
> git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip
>
> ----
>
> git bisect good
>
> Output:
>
> Bisecting: 343 revisions left to test after this (roughly 9 steps)
> [43224b96af3154cedd7220f7b90094905f07ac78] Merge branch 
> 'timers-core-for-linus' of 
> git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip
>
> ----
>
> git bisect good
>
> Output:
>
> Bisecting: 171 revisions left to test after this (roughly 8 steps)
> [056c04ba8bbad4c563c05306cc8a8c66e713f280] crypto: seqiv - Fix module 
> unload/reload crash
>
> ----
>
> git bisect good
>
> Output:
>
> Bisecting: 85 revisions left to test after this (roughly 7 steps)
> [edf18b9108f5025f9e83b2c167c9122954acbc62] crypto: api - Add 
> CRYPTO_MINALIGN_ATTR to struct crypto_alg
>
> ----
>
> git bisect good
>
> Output:
>
> Bisecting: 41 revisions left to test after this (roughly 6 steps)
> [407a2c720556e8e340e06f6a7174f5d6d80cf9ea] Merge branch 
> 'irq-core-for-linus' of 
> git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip
>
> ----
>
> It didn't boot with the following error messages:
>
> Oops: Kernel access of bad area, sig: 11 [#1]
>
> .sb600_8259_cascade+0x4c/0xac (unreliable)
> .kmem_cache_alloc+0x5c/0x1c4 (unreliable)
>
> ----
>
> git bisect bad
>
> Output:
>
> Bisecting: 21 revisions left to test after this (roughly 5 steps)
> [3b0f95be143bea1aa47beb20134ef82e4e4068dc] irq: Add 
> irq_set_chained_handler_and_data()
>
> ----
>
> git bisect good
>
> Output:
>
> Bisecting: 12 revisions left to test after this (roughly 4 steps)
> [62a993df31f795d87bcb4c6cb005d36f32f6ad55] irqchip: atmel-aic5: Add 
> sama5d2 support
>
> ----
>
> git bisect good
>
> Output:
>
> Bisecting: 6 revisions left to test after this (roughly 3 steps)
> [a614a610ac9b28f195d790d25be72d26f345c53a] genirq: Remove bogus 
> restriction in irq_move_mask_irq()
>
> ----
>
> It didn't boot with the following error messages:
>
> Oops: Kernel access of bad area, sig: 11 [#1]
>
> .sb600_8259_cascade+0x4c/0xac (unreliable)
> .__kernfs_new_node+0x54/0xd8 (unreliable)
>
> ----
>
> git bisect bad
>
> Output:
>
> Bisecting: 2 revisions left to test after this (roughly 2 steps)
> [0d0b4c866bcce647f40d73efe5e90aeeb079050a] genirq: Introduce struct 
> irq_common_data to host shared irq data
>
> ----
>
> It didn't boot with the following error messages:
>
> Oops: Kernel access of bad area, sig: 11 [#1]
>
> .sb600_8259_cascade+0x4c/0xac (unreliable)
> .schedule+0x74/0x9c (unreliable)
>
> ----
>
> git bisect bad
>
> Output:
>
> Bisecting: 0 revisions left to test after this (roughly 1 step)
> [77ed42f18edd486e9994ccd1f174076309a6343f] genirq: Prevent crash in 
> irq_move_irq()
>
> ----
>
> git bisect good
>
> Output:
> 0d0b4c866bcce647f40d73efe5e90aeeb079050a is the first bad commit
> commit 0d0b4c866bcce647f40d73efe5e90aeeb079050a
> Author: Jiang Liu <[email-masked]>
> Date:   Mon Jun 1 16:05:12 2015 +0800
>
>     genirq: Introduce struct irq_common_data to host shared irq data
>
>     With the introduction of hierarchy irqdomain, struct irq_data becomes
>     per-chip instead of per-irq and there may be multiple irq_datas
>     associated with the same irq. Some per-irq data stored in struct
>     irq_data now may get duplicated into multiple irq_datas, and causes
>     inconsistent view.
>
>     So introduce struct irq_common_data to host per-irq common data 
> and to
>     achieve consistent view among irq_chips.
>
>     Signed-off-by: Jiang Liu <[email-masked]>
>     Cc: Konrad Rzeszutek Wilk <[email-masked]>
>     Cc: Tony Luck <[email-masked]>
>     Cc: Bjorn Helgaas <[email-masked]>
>     Cc: Benjamin Herrenschmidt <[email-masked]>
>     Cc: Randy Dunlap <[email-masked]>
>     Cc: Yinghai Lu <[email-masked]>
>     Cc: Borislav Petkov <[email-masked]>
>     Cc: Jason Cooper <[email-masked]>
>     Cc: Kevin Cernekee <[email-masked]>
>     Cc: Arnd Bergmann <[email-masked]>
>     Cc: Marc Zyngier <[email-masked]>
>     Link: 
> http://lkml.kernel.org/r/[email-masked]
>     Signed-off-by: Thomas Gleixner <[email-masked]>
>
> :040000 040000 4cb60e0b1d4beb046834e75c66b5d0a0613935b9 
> df0b465b70ec087560482267cca2d9ff54d92c49 M    include
> :040000 040000 3808922cd797449f8f9b33300064a2ff1727f3a6 
> 25a75bf65be0ba9e397151de0ed1beb1695fddb2 M    kernel
>
> ----
>
> Rgds,
>
> Christian
>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev